WSDiscovery10::Types::ProbeMatchesType(3pm)

NAME
WSDiscovery10::Types::ProbeMatchesType

DESCRIPTION
Perl data type class for the XML Schema defined complexType ProbeMatchesType from the namespace http://schemas.xmlsoap.org/ws/2005/04/discovery.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ProbeMatch

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # WSDiscovery10::Types::ProbeMatchesType
   ProbeMatch =>  { # WSDiscovery10::Types::ProbeMatchType
     EndpointReference =>  { # WSDiscovery10::Types::EndpointReferenceType
       Address =>  { value => $some_value },
       ReferenceProperties =>  { # WSDiscovery10::Types::ReferencePropertiesType
       },
       ReferenceParameters =>  { # WSDiscovery10::Types::ReferenceParametersType
       },
       PortType =>  { value => $some_value },
       ServiceName =>  { value => $some_value },
     },
     Types => $some_value, # QNameListType
     Scopes =>  { value => $some_value },
     XAddrs => $some_value, # UriListType
     MetadataVersion =>  $some_value, # unsignedInt
   },
 },

AUTHOR
Generated by SOAP::WSDL